Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510294 - the configuration page of MariaDB(APB) shows mysql_xxx
Summary: the configuration page of MariaDB(APB) shows mysql_xxx
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 3.9.0
Assignee: Jason Montleon
QA Contact: Zihan Tang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 06:44 UTC by Weihua Meng
Modified: 2018-03-28 14:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-03-28 14:11:22 UTC


Attachments (Terms of Use)
MariaDB (Persistent)_Screenshot (deleted)
2017-11-08 01:33 UTC, Weihua Meng
no flags Details
MariaDB(APB)_upstream (deleted)
2018-01-24 06:03 UTC, Zihan Tang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0489 None None None 2018-03-28 14:11:45 UTC

Comment 3 John Matthews 2017-11-07 11:40:25 UTC
I am marking this as NOTABUG and closing as based on mariadb documentation they are specifically calling out MYSQL based environment variables.  

https://mariadb.com/kb/en/library/mariadb-environment-variables/

If anyone feels differently about this please re-open.

Comment 4 Weihua Meng 2017-11-08 01:32:02 UTC
From user experience, it is confusing. 
From product point, we should keep consistent style. see attached screenshot of MariaDB (Persistent).
Reopen this bug.

Comment 5 Weihua Meng 2017-11-08 01:33:08 UTC
Created attachment 1349189 [details]
MariaDB (Persistent)_Screenshot

Comment 6 Jason Montleon 2018-01-11 14:11:01 UTC
For what it is worth updating this will only affecting our parameters. We do not manage the application container and if you look at the documentation it specifically calls out mysql env vars. 

https://access.redhat.com/containers/?tab=tech-details&platform=docker#/registry.access.redhat.com/rhscl/mariadb-102-rhel7

"usage docker run -e MYSQL_USER=<user_name> -e MYSQL_PASSWORD=<password> -e MYSQL_DATABASE=<db_name> -e MYSQL_ROOT_PASSWORD=<root_password> -p 3306:3306 registry.access.redhat.com/rhscl/mariadb-102-rhel7"

Comment 9 Zihan Tang 2018-01-24 06:02:02 UTC
Downstream image is not ready for test : 
image: registry.access.stage.redhat.com/openshift3/mariadb-apb:v3.9.0-0.20.0.0
[root@host-172-16-120-58 ~]# oc describe clusterserviceplan ba144caf21607ad5d50c06bdd0f72db3
Name:         ba144caf21607ad5d50c06bdd0f72db3
Namespace:    
Labels:       <none>
Annotations:  <none>
API Version:  servicecatalog.k8s.io/v1beta1
Kind:         ClusterServicePlan
Metadata:
  Creation Timestamp:  2018-01-24T03:29:47Z
  Resource Version:    182732
  Self Link:           /apis/servicecatalog.k8s.io/v1beta1/clusterserviceplans/ba144caf21607ad5d50c06bdd0f72db3
  UID:                 d3b00075-00b6-11e8-bc93-0a580a81000b
Spec:
  Cluster Service Broker Name:  ansible-service-broker
  Cluster Service Class Ref:
    Name:       2c259ddd8059b9bc65081e07bf20058f
  Description:  This plan deploys a single MariaDB instance with ephemeral storage
  External ID:  ba144caf21607ad5d50c06bdd0f72db3
  External Metadata:
    Cost:          $0.00
    Display Name:  Development
    Schemas:
      Service _ Binding:
        Create:
          Openshift _ Form _ Definition:
      Service _ Instance:
        Create:
          Openshift _ Form _ Definition:
            mysql_database
            Key:   mysql_root_password
            Type:  password
            mysql_user
            Key:   mysql_password
            Type:  password
            mariadb_version
        Update:
  External Name:  dev
  Free:           true
  Instance Create Parameter Schema:
    $ Schema:               http://json-schema.org/draft-04/schema
    Additional Properties:  false
    Properties:
      Mariadb _ Version:
        Default:  10.2
        Enum:
          10.2
          10.1
          10.0
        Title:  MariaDB Version
        Type:   string
      Mysql _ Database:
        Default:      admin
        Description:  MariaDB default database name
        Pattern:      ^[a-zA-Z0-9_]*[a-zA-Z_]+[a-zA-Z0-9_]*$
        Title:        MariaDB Database name
        Type:         string
      Mysql _ Password:
        Description:  A random alphanumeric string if left blank
        Type:         string
      Mysql _ Root _ Password:
        Description:  A random alphanumeric string if left blank
        Type:         string
      Mysql _ User:
        Default:      admin
        Description:  MariaDB User
        Pattern:      ^[a-zA-Z0-9_]*[a-zA-Z_]+[a-zA-Z0-9_]*$
        Type:         string
    Required:
      mysql_database
      mysql_root_password
      mysql_user
      mysql_password
      mariadb_version
    Type:  object

Pretest image in upstream , the parameters are still not in consistent style like : 
if the parameter do not contain field 'title' , it will show 'name' in UI, so the style is still not consistent. 
[root@host-172-16-120-58 ~]# docker inspect --format '{{ index .Config.Labels "com.redhat.apb.spec" }}'  docker.io/ansibleplaybookbundle/mariadb-apb:latest | base64 -d
---
## Shared parameters
_params: &_params
  - name: mariadb_database
    default: admin
    type: string
    description: MariaDB default database name
    title: MariaDB Database name
    pattern: "^[a-zA-Z0-9_]*[a-zA-Z_]+[a-zA-Z0-9_]*$"
    required: true
  - name: mariadb_root_password
    type: string
    description: A random alphanumeric string if left blank
    display_type: password
    required: true
  - name: mariadb_user
    default: admin
    type: string
    pattern: "^[a-zA-Z0-9_]*[a-zA-Z_]+[a-zA-Z0-9_]*$"
    required: true
    description: MariaDB User
  - name: mariadb_password
    type: string
    description: A random alphanumeric string if left blank
    required: true
    display_type: password
  - name: mariadb_version
    default: "10.2"
    enum: ['10.2' , '10.1', '10.0']
    type: enum
    title: MariaDB Version
    required: true
    updatable: true

version: 1.0
name: mariadb-apb
description: Mariadb apb implementation
bindable: true
async: optional
tags:
  - database
  - mariadb
metadata:
  documentationUrl: "https://mariadb.com/kb/en/mariadb/documentation/"
  longDescription: "Deploys a bindable mariadb instance"
  dependencies:
    - 'registry.access.redhat.com/rhscl/mariadb-100-rhel7'
    - 'registry.access.redhat.com/rhscl/mariadb-101-rhel7'
    - 'registry.access.redhat.com/rhscl/mariadb-102-rhel7'
  displayName: "MariaDB (APB)"
  console.openshift.io/iconClass: icon-mariadb
  providerDisplayName: "Red Hat, Inc."
plans:
  - name: dev
    description: This plan deploys a single MariaDB instance with ephemeral storage
    free: true
    default: true
    metadata:
      displayName: Development
      cost: $0.00
    parameters: *_params
    updates_to:
      - prod
  - name: prod
    description: This plan deploys a single MariaDB instance with 10 GiB of persistent storage
    free: true
    metadata:
      displayName: Production
      cost: $0.00
    parameters: *_params
    updates_to:
      - dev

Comment 10 Zihan Tang 2018-01-24 06:03:36 UTC
Created attachment 1385207 [details]
MariaDB(APB)_upstream

Comment 15 errata-xmlrpc 2018-03-28 14:11:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0489


Note You need to log in before you can comment on or make changes to this bug.